Subject: Problems using rcl.
From: [email-masked] ("Paulo Sérgio Caetano da Silva")

17 Jan 1997 01:36:11 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

Hi,
I'm trying to compile this rc file using rcl.

I got a lot of errors early in the menu part of the
file. Then I guessed rcl wouldn't recognize {} chars.
So, I replaced them by BEGIN/END pairs.
Then, the menu part compiled fine but the computer
issued an illegal operation window message.

Here are the messages, source of the rc file and the
..h file involved.

TIA for any help.

===>The errors
fobos.rc:54: Invalid ACCELERATORS definition
fobos.rc:54: Multi-character strings are not supported at this place
fobos.rc:56: Invalid ACCELERATORS definition
fobos.rc:56: Multi-character strings are not supported at this place
fobos.rc:58: Invalid ACCELERATORS definition
fobos.rc:58: Multi-character strings are not supported at this place
fobos.rc:60: Invalid ACCELERATORS definition
fobos.rc:61: Invalid ACCELERATORS definition
fobos.rc:62: Invalid ACCELERATORS definition
fobos.rc:63: Invalid ACCELERATORS definition

===>The source
/*------------------------------
   EDITOR.RC Lista de Recursos
  ------------------------------*/

#include <windows.h>
#include "editor.h"

Editor ICON "editor.ico"

Editor MENU
     BEGIN
     POPUP "&Ficheiro"
          BEGIN
          MENUITEM "&Novo",                   IDM_NOVO
          MENUITEM "&Abrir...",               IDM_ABRIR
          MENUITEM "&Salvar",                 IDM_SALVAR
          MENUITEM "Salvar &Como...",         IDM_SALVACO
          MENUITEM SEPARATOR
          MENUITEM "&Imprimir...",            IDM_IMPRIMIR
          MENUITEM SEPARATOR
          MENUITEM "Sai&r",                   IDM_SAIR
          END
     POPUP "&Editar"
          BEGIN
          MENUITEM "&Voltar\tCtrl+Z",         IDM_VOLTAR
          MENUITEM SEPARATOR
          MENUITEM "&Recortar\tCtrl+X",       IDM_RECORTAR
          MENUITEM "&Copiar\tCtrl+C",         IDM_COPIAR
          MENUITEM "Co&lar\tCtrl+V",          IDM_COLAR
          MENUITEM "Lim&par\tDel",            IDM_LIMPAR
          MENUITEM SEPARATOR
          MENUITEM "Selecionar &Tudo",        IDM_SELETUDO
          END
     POPUP "&Localizar"
          BEGIN
          MENUITEM "&Procurar...",            IDM_PROCURAR
          MENUITEM "&Localiza a Proxima\tF3", IDM_PROXIMA
          MENUITEM "&Trocar...",              IDM_TROCAR
          END
     POPUP "&Caractere"
          BEGIN
          MENUITEM "&Fonte...",               IDM_FONTE
          END
     POPUP "&Ajuda"
          BEGIN
          MENUITEM "&Ajuda",                  IDM_AJUDA
          MENUITEM "&Sobre o Editor...",      IDM_SOBRE
          END
     END

Editor ACCELERATORS
     BEGIN
     "Z",       IDM_VOLTAR,             CONTROL
     VK_BACK,   IDM_VOLTAR,    VIRTKEY, ALT
     "^X",      IDM_RECORTAR
     VK_DELETE, IDM_RECORTAR,  VIRTKEY, SHIFT
     "^C",      IDM_COPIAR
     VK_INSERT, IDM_COPIAR,    VIRTKEY, CONTROL
     "^V",      IDM_COLAR
     VK_INSERT, IDM_COLAR,     VIRTKEY, SHIFT
     VK_DELETE, IDM_LIMPAR,    VIRTKEY
     VK_F3,     IDM_PROXIMA,   VIRTKEY
     VK_F1,     IDM_AJUDA,     VIRTKEY
     END

CaixaSobre DIALOG  20, 20, 160, 80
     STYLE WS_POPUP | WS_DLGFRAME
     BEGIN
     CTEXT "Editor"                              -1,   0, 12, 160,  8
     ICON  "Editor"                              -1,   8,  8,   0,  0
     CTEXT "Editor para o Microsoft Windows"     -1,   0, 36, 160,  8
     DEFPUSHBUTTON "OK"                        IDOK,  64, 60,  32, 14,
WS_GROUP
     END

CaixaDlgImpressao DIALOG 20, 20, 100, 76
     STYLE WS_POPUP | WS_CAPTION | WS_SYSMENU | WS_VISIBLE
     CAPTION "Editor"
     BEGIN
     CTEXT "Enviando",                 -1,  0, 10, 100,  8
     CTEXT "",                IDD_NOMEARQ,  0, 20, 100,  8
     CTEXT "ao spooler de impessao",   -1,  0, 30, 100,  8
     DEFPUSHBUTTON  "Cancelar",  IDCANCEL, 34, 50,  32, 14, WS_GROUP
     END

===>The editor.h (included from source)
/*--------------------------------
   EDITOR.H Arquivo de Cabecalho
  --------------------------------*/

#define IDM_NOVO         10
#define IDM_ABRIR        11
#define IDM_SALVAR       12
#define IDM_SALVACO      13
#define IDM_IMPRIMIR     14
#define IDM_SAIR         15

#define IDM_VOLTAR       20
#define IDM_RECORTAR     21
#define IDM_COPIAR       22
#define IDM_COLAR        23
#define IDM_LIMPAR       24
#define IDM_SELETUDO     25

#define IDM_PROCURAR     30
#define IDM_PROXIMA      31
#define IDM_TROCAR       32

#define IDM_FONTE        40

#define IDM_AJUDA        50
#define IDM_SOBRE        51

#define IDD_NOMEARQ      10

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".